Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041800
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2019-09-12 12:032020-01-09 21:17
Reportersalvador_campanellaView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiond3341b186540
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041800: Since the last update of Chrome 77.0.3865.75 the direct print function is not working

DescriptionSince the last update of Chrome 77.0.3865.75 the direct print function is not working

As could you see in the following link
https://chromereleases.googleblog.com/2019/09/stable-channel-update-for-desktop.html [^]

Some users are commenting that the direct print function doesn't work with this version.

"
Win10_User said...
I'm on Win 10 and use Chrome browser. Now when trying to print Google calendar, when I select print after the print preview screen appears, print dialog box no longer appears. I've confirmed this same issue on several other colleagues' computers after the update. The print function works fine on Firefox. Thanks
1:46 PM, September 11, 2019

Sapphire said...
In windows, ctrl + p, preview is always loading, print is not working T T

7:02 PM, September 11, 2019
"


Steps To Reproduce- Update Chrome to the last version 77.0.3865.75
- As system Administrator
- Set the preference of the property Direct Print to Y
- As a common role
- Go to the Purchase order or another window
- Select a Record and click on the print button of the toolbar
- Click on the popup the button "no, just print it"

As result the popup to select the printer not appears
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031397 closedplatform Direct Print is not working on MS Edge 

-  Notes
(0114666)
caristu (developer)
2019-09-19 12:56
edited on: 2019-10-04 13:57

Reported to Chrome[1] but we have not received any response. After researching it, it seems that that the print() embedded JS feature has been removed by chrome[2],[3], starting from version 77.


[1] https://bugs.chromium.org/p/monorail/issues/detail?id=6347 [^]
[2] https://pdfium.googlesource.com/pdfium.git/+/2021804f1b414c97667c03d7ab19daf66f6a19ef [^]
[3] https://stackoverflow.com/questions/57895126/chrome-77-not-auto-printing-pdfs [^]

(0114920)
hgbot (developer)
2019-10-04 12:45

Repository: erp/devel/pi
Changeset: d3341b1865405f118f59a170c634a41b5a373475
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Oct 02 18:02:37 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d3341b1865405f118f59a170c634a41b5a373475 [^]

fixes issue 41800: direct print not working in Chrome 77+

  Chrome removed support for PDFs to inject JavaScript to print
  directly.

  Refactored to display PDF in a hidden form and print it using
  JavaScript, assumes broswser is configured to display PDFs inline.

---
M src/org/openbravo/erpCommon/utility/DownloadReport.java
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintController.java
A src/org/openbravo/base/secureApp/DirectPrint.html
A src/org/openbravo/base/secureApp/DirectPrint.xml
---
(0114927)
alostale (developer)
2019-10-04 13:43

reviewed + tested
(0116236)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-09-12 12:03 salvador_campanella New Issue
2019-09-12 12:03 salvador_campanella Assigned To => platform
2019-09-12 12:03 salvador_campanella Web browser => Google Chrome
2019-09-12 12:03 salvador_campanella Modules => Core
2019-09-12 12:03 salvador_campanella Triggers an Emergency Pack => No
2019-09-13 08:44 rafaroda Issue Monitored: rafaroda
2019-09-19 12:56 caristu Review Assigned To => caristu
2019-09-19 12:56 caristu Note Added: 0114666
2019-09-19 12:56 caristu Status new => closed
2019-10-04 12:45 hgbot Checkin
2019-10-04 12:45 hgbot Note Added: 0114920
2019-10-04 12:45 hgbot Status closed => resolved
2019-10-04 12:45 hgbot Resolution open => fixed
2019-10-04 12:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d3341b1865405f118f59a170c634a41b5a373475 [^]
2019-10-04 13:43 alostale Assigned To platform => caristu
2019-10-04 13:43 alostale Review Assigned To caristu => alostale
2019-10-04 13:43 alostale Note Added: 0114927
2019-10-04 13:43 alostale Status resolved => closed
2019-10-04 13:57 caristu Note Edited: 0114666 View Revisions
2019-10-17 12:38 caristu Relationship added related to 0031397
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116236
2020-01-09 21:17 eugeni Issue Monitored: eugeni


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker